IllegalComponentStateException (Java Platform SE 8 )
Keywords: java.awt.IllegalComponentStateException class
Date: 2017-01-22

java.awt

## Class IllegalComponentStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.awt.IllegalComponentStateException

- All Implemented Interfaces:
    Serializable

      public class IllegalComponentStateException
      extends IllegalStateException

  Signals that an AWT component is not in an appropriate state for the requested operation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalComponentStateException()` Constructs an IllegalComponentStateException with no detail message.
    `IllegalComponentStateException(String s)` Constructs an IllegalComponentStateException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalComponentStateException

          public IllegalComponentStateException()

      Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

    - #### IllegalComponentStateException

          public IllegalComponentStateException(String s)

      Constructs an IllegalComponentStateException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String that contains a detailed message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.